Indicates if the parsed document is valid

- « XMLReader::getParserProperty

- XMLReader::lookupNamespace »

- PHP Manual
- XMLReader
- Indicates if the parsed document is valid

# XMLReader::isValid

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

XMLReader::isValid — Indicates if the parsed document is valid

### Description

public XMLReader::isValid(): bool

Returns a boolean indicating if the document being parsed is currently valid.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 Validating XML

    <?php$xml = XMLReader::open('test.xml');// The validate parser option must be enabled for // this method to work properly$xml->setParserProperty(XMLReader::VALIDATE, true);var_dump($xml->isValid());?>

### Notes

> Note: This checks the current node, not the entire document.

### See Also

- XMLReader::setParserProperty() - Set parser options
- XMLReader::setRelaxNGSchema() - Set the filename or URI for a RelaxNG Schema
- XMLReader::setRelaxNGSchemaSource() - Set the data containing a RelaxNG Schema
- XMLReader::setSchema() - Validate document against XSD